package com.yem.wm.es.salesorder.op;

import com.yem.wm.es.salesorder.validator.SaleOrderProValidator;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

/**
 * @author power
 * @ClassName 客户需求单_产品经理
 * @description: 资源号回填校验
 * @date 2023/8/14
 */
public class SaleOrderProOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        e.getFieldKeys().add("yem_im_detailedinfor");
        e.getFieldKeys().add("yem_businesssort");
        e.getFieldKeys().add("yem_resourceid");
        e.getFieldKeys().add("yem_materiel");
    }
    @Override
    public void onAddValidators(AddValidatorsEventArgs e){
        e.addValidator(new SaleOrderProValidator());
    }
}
